Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Get Skill

client.skills.retrieve(skillID, options?): Skill { id, created_at, default_version, 4 more }
GET
/skills/{skill_id}

Get a skill by its ID.

Get Skill

import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const skill = await client.skills.retrieve('skill_123');

console.log(skill.id);
200 — Example
{
  "id": "id",
  "created_at": 0,
  "default_version": "default_version",
  "description": "description",
  "latest_version": "latest_version",
  "name": "name",
  "object": "skill"
}
Parameters
skillID: string
Returns
Skill { id, created_at, default_version, 4 more }
id: string

Unique identifier for the skill.

created_at: number

Unix timestamp (seconds) for when the skill was created.

formatunixtime
default_version: string

Default version for the skill.

description: string

Description of the skill.

latest_version: string

Latest version for the skill.

name: string

Name of the skill.

object: "skill"

The object type, which is skill.

Returns Examples
200 — Example
{
  "id": "id",
  "created_at": 0,
  "default_version": "default_version",
  "description": "description",
  "latest_version": "latest_version",
  "name": "name",
  "object": "skill"
}